#pragma once

#include <imgui.h>
#include <vector>

#include "../config.h"
#include "../logcat_entry.h"

void main_window(bool latest_log_entries_read, ImFont* monospace_font,
        std::vector<LogcatEntry>& logcat_entries, std::vector<size_t>& filtered_logcat_entry_offsets,
        const Config& active_config, Config& inactive_config,
        bool* show_settings_window, bool* show_filters_window, bool* show_exclusions_window, bool* show_logs_window, bool* run_event_loop);
